| QxOrm 1.3.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Member Functions
qx::QxSqlRelation_OneToMany< DataType, Owner > Class Template Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxSqlRelation_OneToMany<DataType, Owner> : manage a relationship one-to-many defined between 2 classes (or between 2 tables in database) More...

`#include <QxSqlRelation_OneToMany.h>`

Inheritance diagram for qx::QxSqlRelation_OneToMany< DataType, Owner >:

List of all members.

## Public Member Functions
| QxSqlRelation_OneToMany (IxDataMember *p, const QString &sForeignKey)
virtual | ~QxSqlRelation_OneToMany ()
virtual QString | getDescription () const
virtual QString | getExtraTable () const
virtual QString | createExtraTable () const
virtual bool | getCartesianProduct () const
virtual void | createTable (QxSqlRelationParams &params) const
virtual void | lazySelect (QxSqlRelationParams &params) const
virtual void | lazyFrom (QxSqlRelationParams &params) const
virtual void | eagerFrom (QxSqlRelationParams &params) const
virtual void | lazyJoin (QxSqlRelationParams &params) const
virtual void | lazyWhere (QxSqlRelationParams &params) const
virtual void | eagerWhere (QxSqlRelationParams &params) const
virtual void | lazyWhereSoftDelete (QxSqlRelationParams &params) const
virtual void | lazyFetch_ResolveInput (QxSqlRelationParams &params) const
virtual void | eagerFetch_ResolveInput (QxSqlRelationParams &params) const
virtual void | lazyFetch_ResolveOutput (QxSqlRelationParams &params) const
virtual void | lazyInsert (QxSqlRelationParams &params) const
virtual void | lazyInsert_Values (QxSqlRelationParams &params) const
virtual void | lazyUpdate (QxSqlRelationParams &params) const
virtual void | lazyInsert_ResolveInput (QxSqlRelationParams &params) const
virtual void | lazyUpdate_ResolveInput (QxSqlRelationParams &params) const
virtual QSqlError | onBeforeSave (QxSqlRelationParams &params) const
virtual QSqlError | onAfterSave (QxSqlRelationParams &params) const
virtual QVariant | getIdFromQuery (bool bEager, QxSqlRelationParams &params) const
virtual void | updateOffset (bool bEager, QxSqlRelationParams &params) const
virtual void | eagerSelect (QxSqlRelationParams &params) const
virtual void | eagerJoin (QxSqlRelationParams &params) const
virtual void | eagerWhereSoftDelete (QxSqlRelationParams &params) const
virtual void * | eagerFetch_ResolveOutput (QxSqlRelationParams &params) const
## Private Types
enum | { is_data_container = QxSqlRelation<DataType, is_data_container = QxSqlRelation<DataType }
typedef QxSqlRelation < DataType, Owner > ::type_owner | type_owner
typedef QxSqlRelation < DataType, Owner >::type_data | type_data
typedef QxSqlRelation < DataType, Owner > ::type_container | type_container
typedef QxSqlRelation < DataType, Owner > ::type_generic_container | type_generic_container
typedef QxSqlRelation < DataType, Owner >::type_item | type_item
typedef type_generic_container::type_iterator | type_iterator
## Private Member Functions
void | forceParentIdToAllChildren (QxSqlRelationParams &params) const

## Detailed Description

### template<class DataType, class Owner>
class qx::QxSqlRelation_OneToMany< DataType, Owner >

qx::QxSqlRelation_OneToMany<DataType, Owner> : manage a relationship one-to-many defined between 2 classes (or between 2 tables in database)

Definition at line 55 of file QxSqlRelation_OneToMany.h.

## Member Typedef Documentation

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_container qx::QxSqlRelation_OneToMany< DataType, Owner >::type_container`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 62 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_data qx::QxSqlRelation_OneToMany< DataType, Owner >::type_data`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 61 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_generic_container qx::QxSqlRelation_OneToMany< DataType, Owner >::type_generic_container`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 63 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_item qx::QxSqlRelation_OneToMany< DataType, Owner >::type_item`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 64 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

typedef type_generic_container::type_iterator qx::QxSqlRelation_OneToMany< DataType, Owner >::type_iterator`[private]`

Definition at line 65 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_owner qx::QxSqlRelation_OneToMany< DataType, Owner >::type_owner`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 60 of file QxSqlRelation_OneToMany.h.

## Member Enumeration Documentation

template<class DataType , class Owner >

anonymous enum`[private]`

Enumerator:

  is_data_container |
  is_data_container |

Definition at line 67 of file QxSqlRelation_OneToMany.h.

## Constructor & Destructor Documentation

template<class DataType , class Owner >

qx::QxSqlRelation_OneToMany< DataType, Owner >::QxSqlRelation_OneToMany | ( | IxDataMember * | p,
|  | const QString & | sForeignKey
| ) |  | `[inline]`

Definition at line 71 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual qx::QxSqlRelation_OneToMany< DataType, Owner >::~QxSqlRelation_OneToMany | ( |  | ) | `[inline, virtual]`

Definition at line 72 of file QxSqlRelation_OneToMany.h.

## Member Function Documentation

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_OneToMany< DataType, Owner >::createExtraTable | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 76 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::createTable | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 78 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 87 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void* qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 119 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerFrom | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 81 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerJoin | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 113 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerSelect | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 110 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerWhere | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 84 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::eagerWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 116 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

void qx::QxSqlRelation_OneToMany< DataType, Owner >::forceParentIdToAllChildren | ( | QxSqlRelationParams & | params | ) | const`[inline, private]`

Definition at line 165 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual bool qx::QxSqlRelation_OneToMany< DataType, Owner >::getCartesianProduct | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 77 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_OneToMany< DataType, Owner >::getDescription | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 74 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_OneToMany< DataType, Owner >::getExtraTable | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 75 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual QVariant qx::QxSqlRelation_OneToMany< DataType, Owner >::getIdFromQuery | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 104 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 86 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 88 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyFrom | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 80 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyInsert | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 89 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyInsert_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 92 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyInsert_Values | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 90 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyJoin | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 82 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazySelect | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 79 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyUpdate | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 91 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyUpdate_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 93 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyWhere | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 83 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::lazyWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 85 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual QSqlError qx::QxSqlRelation_OneToMany< DataType, Owner >::onAfterSave | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 96 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual QSqlError qx::QxSqlRelation_OneToMany< DataType, Owner >::onBeforeSave | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 94 of file QxSqlRelation_OneToMany.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_OneToMany< DataType, Owner >::updateOffset | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 107 of file QxSqlRelation_OneToMany.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlRelation_OneToMany.h